

I refer you to Fletcher's book, _Practical Methods of Constrained
Optimization_ (or something like that).  For simple bounds, the
algorithms will probably be BFGS with Active Set (to convert the
inequality constraints into equality constraints when the inequality
constraint is violated) and Lagrange multipliers to handle the
resulting equality constraints (or some other method for linear
constraints).

_________________________________________________________________________